Subject: Re: bug#4093: Overlay keymap and timers

From: Mihai Bazon <[email-masked]>
Date: Mon, 10 Aug 2009 09:55:24 +0300

Stefan Monnier <[email-masked]> wrote:
> > Yes, this is a really bad thing - sometimes, ie when you need to do
> > just that.
> 
> The code in keyboard.c reads the set of active keymaps before reading
> the next event.  That's most likely the explanation for this behavior.

What you are saying does actually make sense.  If it set the keymap
*before* serving an event, it should work fine.  But I think what
happens is that it sets the keymap *after* executing an event...

I looked at the code but couldn't figure out where is the keymap
computed.  Could you point it out?

Cheers,
-Mihai